### Signal

# Clutter Gesture::should-handle-sequence

#### Declaration

    gboolean
    should_handle_sequence (
      ClutterGesture* self,
      const ClutterEvent* sequence_begin_event,
      gpointer user_data
    )

#### Description [src]

The ::should-handle-sequence signal is emitted when a sequence gets added to the gesture. Return `FALSE` to make the gesture ignore the sequence of events.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`sequence_begin_event`

  Type: `ClutterEvent`

  The `ClutterEvent` beginning the sequence.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the gesture may handle the sequence, `FALSE` if it may not.